module.exports = {
  extends: [
    'stylelint-config-recess-order',
    'stylelint-config-sass-guidelines',
    'stylelint-config-recommended-vue/scss',
  ],
  rules: {
    'max-nesting-depth': [
      6,
      {
        ignore: ['pseudo-classes'],
      },
    ],
    'order/properties-alphabetical-order': null,
    // 'color-hex-length': 'long',
    // 'scss/at-import-partial-extension': 'always',
    // 'scss/at-import-partial-extension-whitelist': ['scss'],
    // 'scss/at-import-partial-extension-blacklist': [''],
    // 'selector-class-pattern': '^[a-z0-9\\-\\_]+$',
  },
  ignoreFiles: ['./public/**/*.css'],
};
